javafx.beans.value

## Interface WritableSetValue<E>

- Type Parameters:
    `E` - the type of the `Set` elements
  All Superinterfaces:
    Collection<E>, Iterable<E>, Observable, ObservableSet<E>, Set<E>, WritableObjectValue<ObservableSet<E>>, WritableValue<ObservableSet<E>>
  All Known Implementing Classes:
    ReadOnlySetWrapper, SetProperty, SetPropertyBase, SimpleSetProperty

      public interface WritableSetValue<E>
      extends WritableObjectValue<ObservableSet<E>>, ObservableSet<E>

  A writable reference to an `ObservableSet`.
  Since:
    JavaFX 2.1
  See Also:
    `ObservableSet`, `WritableObjectValue`, `WritableSetValue`

- - ### Method Summary

    - ### Methods inherited from interface javafx.beans.value.WritableObjectValue

      `get, set`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue, setValue`

    - ### Methods inherited from interface javafx.collections.ObservableSet

      `addListener, removeListener`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.